ServerEvents.recipes(event => {
    event.shaped(
        Item.of(Item.of('gateways:gate_pearl', '{gateway:"kubejs:blaze"}')),
        [
            'ABA',
            'BCB',
            'AEA'
        ],
        {
            A: 'minecraft:blaze_powder',
            B: 'minecraft:fire_charge',
            C: 'minecraft:ender_eye'
        }
    )
})